# Class XmlReader

java.lang.Object
org.jmol.jvxl.readers.XmlReader

public class XmlReader extends Object

## Constructor Summary

Constructors
Constructor
Description
`XmlReader(BufferedReader br)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`extractTagOnly(String data, String tag)`
`String`
`getLine()`
`static String`
`getXmlAttrib(String data, String what)`
`String`
`getXmlData(String name, String data, boolean withTag, boolean allowSelfCloseOption)`
`String`
`getXmlDataLF(String name, String data, boolean withTag, boolean allowSelfCloseOption, boolean addLF, int[] ptr)`
`P3`
`getXmlPoint(String data, String key)`
`boolean`
`isNext(String name)`
`void`
`skipTag(String name)`
`String`
`toTag(String name)`
`static String`
`unwrapCdata(String s)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlReader

public XmlReader(BufferedReader br)

## Method Details

### getLine

public String getLine()

### toTag

public String toTag(String name) throws Exception

Throws:
  `Exception`

### skipTag

public void skipTag(String name) throws Exception

Throws:
  `Exception`

### getXmlData

public String getXmlData(String name, String data, boolean withTag, boolean allowSelfCloseOption) throws Exception

Parameters:
  `name` -
  `data` -
  `withTag` -
  `allowSelfCloseOption` - TODO
Returns:
  trimmed contents or tag + contents, never closing tag
Throws:
  `Exception`

### getXmlDataLF

public String getXmlDataLF(String name, String data, boolean withTag, boolean allowSelfCloseOption, boolean addLF, int[] ptr) throws Exception

Throws:
  `Exception`

### extractTagOnly

public static String extractTagOnly(String data, String tag)

### unwrapCdata

public static String unwrapCdata(String s)

Parameters:
  `s` -
Returns:
  unwrapped text

### getXmlAttrib

public static String getXmlAttrib(String data, String what)

### getXmlPoint

public P3 getXmlPoint(String data, String key)

### isNext

public boolean isNext(String name) throws Exception

Throws:
  `Exception`